Release 5.8.0 (1388)
Closed, ResolvedPublic

Description

Release version: 5.8.0
Release tag: releases/5.8.0
Release SHA1: 7ba83184925098037bae08cad1c3179b4e870803
App Store Submission Date: 4/19/2018
App Store Approval Date: 4/20/2018
App Store Release Date: 4/20/2018
Regression Testing URL: N/A


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Coordinate with Comms on blog post for major releases (major features)
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Localization/translation of App Store description and app meta data (see T170623)
  • Upload new screenshots & app icons to iTunes Connect (See T180991)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l
JMinor created this task.Mar 28 2018, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as High priority.Mar 28 2018, 10:45 PM
JMinor updated the task description. (Show Details)
JMinor renamed this task from Release 5.8.0 (?) to Release 5.8.0 (1388).Apr 13 2018, 11:35 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Apr 19 2018, 11:12 PM
JMinor updated the task description. (Show Details)Apr 23 2018, 11:20 PM
JMinor closed this task as Resolved.